use self_update::cargo_crate_version;
use std::error::Error;

pub(crate) fn self_update() -> Result<(), Box<dyn Error>> {
    let backend = self_update::backends::gitea::Update::configure()
        .with_host("https://code.kiers.eu")
        .repo_owner("newsletter-to-web")
        .repo_name("newsletter-to-web")
        .bin_name("newsletter-to-web")
        .show_download_progress(true)
        .current_version(cargo_crate_version!())
        .build()?;

    let status = backend.update()?;
    println!("Update status: `{}`!", status.version());
    Ok(())
}
